{% extends "teams/base.html" %}
{% load static %}
{% load render_bundle from webpack_loader %}

{% block style %}
{{ block.super }}
{% render_bundle 'hunts_stats' 'css' %}
{% endblock %}
{% block webpack_script %}
{% render_bundle 'hunts_stats' 'js' attrs='defer' %}
{% endblock %}

{% block page_header %}
<h1>Stats</h1>
{% endblock %}

{% block content %}
{% if size_categories|length > 1 %}
<select id="size-filter" class="form-select sticky-top" aria-label="Filter team size">
	<option selected value="" data-size-category="">All Team Sizes{% if all_asterisk %}*{% endif %}</option>
	{% for size in size_categories %}
	<option value="{{ size.id }}" data-size-category="{{ size.id }}">{{ size.display_label }}</option>
	{% endfor %}
</select>
{% if all_asterisk %}<p>* "All Team Sizes" excludes teams which are above the limit of {{ max_size_restriction }}</p>{% endif %}
{% endif %}
<div class="accordion" id="stats">
	{% for key, renders in stats.items %}
	<div class="accordion-item">
		<h5 class="accordion-header" id="heading-{{ key.0 }}">
			<button
				class="accordion-button{% if not forloop.first %} collapsed{% endif %}"
				type="button"
				data-bs-toggle="collapse"
				data-bs-target="#collapse-{{ key.0 }}"
				aria-controls="collapse-{{ key.0 }}"
			>
				{{ key.1 }}
			</button>
		</h5>
		<div
			id="collapse-{{ key.0 }}"
			class="accordion-collapse collapse"
			aria-labelledby="heading-{{ key.0 }}"
			data-bs-parent="#stats"
		>
			<div class="accordion-body">
				{% for size_category, content in renders %}
				<div id="stat-{{ key.0 }}-{{ size_category.id }}"
						 class="stat-size-{{ size_category.id }} stat-container"
						 data-size-category="{{ size_category.id }}"
						 {% if not forloop.first %} style="display: none;"{% endif %}
				>
					{{ content }}
				</div>
				{% endfor %}
			</div>
		</div>
	</div>
	{% endfor %}
</div>
{% endblock %}
